
From: Christoph Hellwig <hch@lst.de>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/aci.c         |    3 +--
 25-akpm/sound/oss/aci.h         |    1 -
 25-akpm/sound/oss/audio.c       |    4 ++--
 25-akpm/sound/oss/audio_syms.c  |    3 ---
 25-akpm/sound/oss/dev_table.c   |    4 +++-
 25-akpm/sound/oss/dev_table.h   |    1 -
 25-akpm/sound/oss/msnd.c        |   26 ++------------------------
 25-akpm/sound/oss/msnd.h        |    4 ----
 25-akpm/sound/oss/sound_calls.h |    1 -
 25-akpm/sound/oss/sound_syms.c  |    3 ---
 10 files changed, 8 insertions(+), 42 deletions(-)

diff -puN sound/oss/aci.c~remove-dead-exports-in-sounds-oss sound/oss/aci.c
--- 25/sound/oss/aci.c~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.126907208 -0700
+++ 25-akpm/sound/oss/aci.c	2004-10-26 01:25:08.141904928 -0700
@@ -62,11 +62,10 @@
 #include "sound_config.h"
 
 int aci_port;	/* as determined by bit 4 in the OPTi 929 MC4 register */
-int aci_idcode[2];	/* manufacturer and product ID */
+static int aci_idcode[2];	/* manufacturer and product ID */
 int aci_version;	/* ACI firmware version	*/
 
 EXPORT_SYMBOL(aci_port);
-EXPORT_SYMBOL(aci_idcode);
 EXPORT_SYMBOL(aci_version);
 
 #include "aci.h"
diff -puN sound/oss/aci.h~remove-dead-exports-in-sounds-oss sound/oss/aci.h
--- 25/sound/oss/aci.h~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.127907056 -0700
+++ 25-akpm/sound/oss/aci.h	2004-10-26 01:25:08.141904928 -0700
@@ -2,7 +2,6 @@
 #define _ACI_H_
 
 extern int aci_port;
-extern int aci_idcode[2];	/* manufacturer and product ID */
 extern int aci_version;		/* ACI firmware version	*/
 extern int aci_rw_cmd(int write1, int write2, int write3);
 
diff -puN sound/oss/audio.c~remove-dead-exports-in-sounds-oss sound/oss/audio.c
--- 25/sound/oss/audio.c~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.128906904 -0700
+++ 25-akpm/sound/oss/audio.c	2004-10-26 01:25:08.142904776 -0700
@@ -38,7 +38,7 @@
 #define NEUTRAL16	0x00
 
 
-int             dma_ioctl(int dev, unsigned int cmd, void __user *arg);
+static int             dma_ioctl(int dev, unsigned int cmd, void __user *arg);
 
 static int set_format(int dev, int fmt)
 {
@@ -735,7 +735,7 @@ static int dma_set_fragment(int dev, str
 	return bytes | ((count - 1) << 16);
 }
 
-int dma_ioctl(int dev, unsigned int cmd, void __user *arg)
+static int dma_ioctl(int dev, unsigned int cmd, void __user *arg)
 {
 	struct dma_buffparms *dmap_out = audio_devs[dev]->dmap_out;
 	struct dma_buffparms *dmap_in = audio_devs[dev]->dmap_in;
diff -puN sound/oss/audio_syms.c~remove-dead-exports-in-sounds-oss sound/oss/audio_syms.c
--- 25/sound/oss/audio_syms.c~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.130906600 -0700
+++ 25-akpm/sound/oss/audio_syms.c	2004-10-26 01:25:08.142904776 -0700
@@ -14,6 +14,3 @@ EXPORT_SYMBOL(DMAbuf_open_dma);
 EXPORT_SYMBOL(DMAbuf_close_dma);
 EXPORT_SYMBOL(DMAbuf_inputintr);
 EXPORT_SYMBOL(DMAbuf_outputintr);
-EXPORT_SYMBOL(dma_ioctl);
-EXPORT_SYMBOL(audio_open);
-EXPORT_SYMBOL(audio_release);
diff -puN sound/oss/dev_table.c~remove-dead-exports-in-sounds-oss sound/oss/dev_table.c
--- 25/sound/oss/dev_table.c~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.131906448 -0700
+++ 25-akpm/sound/oss/dev_table.c	2004-10-26 01:25:08.143904624 -0700
@@ -16,6 +16,8 @@
 #define _DEV_TABLE_C_
 #include "sound_config.h"
 
+static int sound_alloc_audiodev(void);
+
 int sound_install_audiodrv(int vers, char *name, struct audio_driver *driver,
 			int driver_size, int flags, unsigned int format_mask,
 			void *devc, int dma1, int dma2)
@@ -121,7 +123,7 @@ void sound_unload_audiodev(int dev)
 	}
 }
 
-int sound_alloc_audiodev(void)
+static int sound_alloc_audiodev(void)
 { 
 	int i = register_sound_dsp(&oss_sound_fops, -1);
 	if(i==-1)
diff -puN sound/oss/dev_table.h~remove-dead-exports-in-sounds-oss sound/oss/dev_table.h
--- 25/sound/oss/dev_table.h~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.132906296 -0700
+++ 25-akpm/sound/oss/dev_table.h	2004-10-26 01:25:08.143904624 -0700
@@ -397,7 +397,6 @@ void sound_unload_mixerdev(int dev);
 void sound_unload_mididev(int dev);
 void sound_unload_synthdev(int dev);
 void sound_unload_timerdev(int dev);
-int sound_alloc_audiodev(void);
 int sound_alloc_mixerdev(void);
 int sound_alloc_timerdev(void);
 int sound_alloc_synthdev(void);
diff -puN sound/oss/msnd.c~remove-dead-exports-in-sounds-oss sound/oss/msnd.c
--- 25/sound/oss/msnd.c~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.134905992 -0700
+++ 25-akpm/sound/oss/msnd.c	2004-10-26 01:25:08.144904472 -0700
@@ -81,25 +81,6 @@ void msnd_unregister(multisound_dev_t *d
 	--num_devs;
 }
 
-int msnd_get_num_devs(void)
-{
-	return num_devs;
-}
-
-multisound_dev_t *msnd_get_dev(int j)
-{
-	int i;
-
-	for (i = 0; i < MSND_MAX_DEVS && j; ++i)
-		if (devs[i] != NULL)
-			--j;
-
-	if (i == MSND_MAX_DEVS || j != 0)
-		return NULL;
-
-	return devs[i];
-}
-
 void msnd_init_queue(unsigned long base, int start, int size)
 {
 	isa_writew(PCTODSP_BASED(start), base + JQS_wStart);
@@ -203,7 +184,7 @@ int msnd_fifo_read(msnd_fifo *f, char *b
 	return count;
 }
 
-int msnd_wait_TXDE(multisound_dev_t *dev)
+static int msnd_wait_TXDE(multisound_dev_t *dev)
 {
 	register unsigned int io = dev->io;
 	register int timeout = 1000;
@@ -215,7 +196,7 @@ int msnd_wait_TXDE(multisound_dev_t *dev
 	return -EIO;
 }
 
-int msnd_wait_HC0(multisound_dev_t *dev)
+static int msnd_wait_HC0(multisound_dev_t *dev)
 {
 	register unsigned int io = dev->io;
 	register int timeout = 1000;
@@ -340,7 +321,6 @@ int msnd_disable_irq(multisound_dev_t *d
 EXPORT_SYMBOL(msnd_register);
 EXPORT_SYMBOL(msnd_unregister);
 EXPORT_SYMBOL(msnd_get_num_devs);
-EXPORT_SYMBOL(msnd_get_dev);
 
 EXPORT_SYMBOL(msnd_init_queue);
 
@@ -351,8 +331,6 @@ EXPORT_SYMBOL(msnd_fifo_make_empty);
 EXPORT_SYMBOL(msnd_fifo_write);
 EXPORT_SYMBOL(msnd_fifo_read);
 
-EXPORT_SYMBOL(msnd_wait_TXDE);
-EXPORT_SYMBOL(msnd_wait_HC0);
 EXPORT_SYMBOL(msnd_send_dsp_cmd);
 EXPORT_SYMBOL(msnd_send_word);
 EXPORT_SYMBOL(msnd_upload_host);
diff -puN sound/oss/msnd.h~remove-dead-exports-in-sounds-oss sound/oss/msnd.h
--- 25/sound/oss/msnd.h~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.135905840 -0700
+++ 25-akpm/sound/oss/msnd.h	2004-10-26 01:25:08.145904320 -0700
@@ -258,8 +258,6 @@ typedef struct multisound_dev {
 
 int				msnd_register(multisound_dev_t *dev);
 void				msnd_unregister(multisound_dev_t *dev);
-int				msnd_get_num_devs(void);
-multisound_dev_t *		msnd_get_dev(int i);
 
 void				msnd_init_queue(unsigned long, int start, int size);
 
@@ -270,8 +268,6 @@ void				msnd_fifo_make_empty(msnd_fifo *
 int				msnd_fifo_write(msnd_fifo *f, const char *buf, size_t len);
 int				msnd_fifo_read(msnd_fifo *f, char *buf, size_t len);
 
-int				msnd_wait_TXDE(multisound_dev_t *dev);
-int				msnd_wait_HC0(multisound_dev_t *dev);
 int				msnd_send_dsp_cmd(multisound_dev_t *dev, BYTE cmd);
 int				msnd_send_word(multisound_dev_t *dev, unsigned char high,
 					       unsigned char mid, unsigned char low);
diff -puN sound/oss/sound_calls.h~remove-dead-exports-in-sounds-oss sound/oss/sound_calls.h
--- 25/sound/oss/sound_calls.h~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.136905688 -0700
+++ 25-akpm/sound/oss/sound_calls.h	2004-10-26 01:25:08.145904320 -0700
@@ -39,7 +39,6 @@ int audio_ioctl (int dev, struct file *f
 	   unsigned int cmd, void __user *arg);
 void audio_init_devices (void);
 void reorganize_buffers (int dev, struct dma_buffparms *dmap, int recording);
-int dma_ioctl (int dev, unsigned int cmd, void __user *arg);
 
 /*
  *	System calls for the /dev/sequencer
diff -puN sound/oss/sound_syms.c~remove-dead-exports-in-sounds-oss sound/oss/sound_syms.c
--- 25/sound/oss/sound_syms.c~remove-dead-exports-in-sounds-oss	2004-10-26 01:25:08.138905384 -0700
+++ 25-akpm/sound/oss/sound_syms.c	2004-10-26 01:25:08.145904320 -0700
@@ -22,10 +22,8 @@ EXPORT_SYMBOL(num_audiodevs);
 EXPORT_SYMBOL(midi_devs);
 EXPORT_SYMBOL(num_midis);
 EXPORT_SYMBOL(synth_devs);
-EXPORT_SYMBOL(num_synths);
 
 EXPORT_SYMBOL(sound_timer_devs);
-EXPORT_SYMBOL(num_sound_timers);
 
 EXPORT_SYMBOL(sound_install_audiodrv);
 EXPORT_SYMBOL(sound_install_mixer);
@@ -33,7 +31,6 @@ EXPORT_SYMBOL(sound_alloc_dma);
 EXPORT_SYMBOL(sound_free_dma);
 EXPORT_SYMBOL(sound_open_dma);
 EXPORT_SYMBOL(sound_close_dma);
-EXPORT_SYMBOL(sound_alloc_audiodev);
 EXPORT_SYMBOL(sound_alloc_mididev);
 EXPORT_SYMBOL(sound_alloc_mixerdev);
 EXPORT_SYMBOL(sound_alloc_timerdev);
_
